> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fly.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List All Machines

> List all Machines associated with a specific organization. Machines are sorted by their `updated_at` timestamps, oldest to newest.

This API call represents "a point in time". Recent machine changes, including creations and destructions, may take time to propagate. When polling with `updated_after`, offset your timestamps to catch late-arriving events.




## OpenAPI

````yaml /machines-api/openapi.json get /v1/orgs/{org_slug}/machines
openapi: 3.0.1
info:
  title: Machines API
  description: >-
    This site hosts documentation generated from the Fly.io Machines API OpenAPI
    specification. Visit our complete [Machines API
    docs](https://fly.io/docs/machines/api/) for how to get started, more
    information about each endpoint, parameter descriptions, and examples.
  contact: {}
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: '1.0'
servers:
  - url: https://api.machines.dev
security: []
tags:
  - name: Apps
    description: >-
      This site hosts documentation generated from the Fly.io Machines API
      OpenAPI specification. Visit our complete [Machines API
      docs](https://fly.io/docs/machines/api/apps-resource/) for details about
      using the Apps resource.
  - name: Machines
    description: >-
      This site hosts documentation generated from the Fly.io Machines API
      OpenAPI specification. Visit our complete [Machines API
      docs](https://fly.io/docs/machines/api/machines-resource/) for details
      about using the Machines resource.
  - name: TLS Certificates
    description: >
      This site hosts documentation generated from the Fly.io Machines API
      OpenAPI specification. Visit our complete [Machines API
      docs](https://fly.io/docs/machines/api/certificates-resource/) for details
      about using the TLS Certificates resource.
  - name: Volumes
    description: >-
      This site hosts documentation generated from the Fly.io Machines API
      OpenAPI specification. Visit our complete [Machines API
      docs](https://fly.io/docs/machines/api/volumes-resource/) for details
      about using the Volumes resource.
  - name: Postgres Clusters
    description: >-
      Create and manage Postgres clusters, including databases, users,
      extensions, backups, and app attachments.
externalDocs:
  url: https://fly.io/docs/machines/working-with-machines/
paths:
  /v1/orgs/{org_slug}/machines:
    get:
      tags:
        - Organizations
      summary: List All Machines
      description: >
        List all Machines associated with a specific organization. Machines are
        sorted by their `updated_at` timestamps, oldest to newest.


        This API call represents "a point in time". Recent machine changes,
        including creations and destructions, may take time to propagate. When
        polling with `updated_after`, offset your timestamps to catch
        late-arriving events.
      operationId: Machines_org_list
      parameters:
        - name: org_slug
          in: path
          description: Fly Organization Slug
          required: true
          schema:
            type: string
        - name: include_deleted
          in: query
          description: Include deleted machines
          schema:
            type: boolean
        - name: region
          in: query
          description: Region filter
          schema:
            type: string
        - name: state
          in: query
          description: >-
            Comma separated list of states to filter (created, started, stopped,
            suspended)
          schema:
            type: string
        - name: summary
          in: query
          description: Omit config from responses
          schema:
            type: boolean
        - name: updated_after
          in: query
          description: >-
            Only return machines updated after this time. Timestamp must be in
            the RFC 3339 format
          schema:
            type: string
        - name: cursor
          in: query
          description: >-
            Pagination cursor from previous response (takes precedence over
            updated_after). Note that there is no guarantee that all machines
            returned by this endpoint are sorted by their updated_at fields.
            Pagination may reveal machines older than the last updated_at.
          schema:
            type: string
        - name: limit
          in: query
          description: >-
            The number of machines to fetch (max of 1000). This limit is
            advisory. Responses may be shorter, or even empty, even when more
            machines remain. If omitted, the maximum is used
          schema:
            type: integer
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrgMachinesResponse'
components:
  schemas:
    OrgMachinesResponse:
      type: object
      properties:
        error_regions:
          type: array
          items:
            type: string
        last_machine_id:
          type: string
        last_updated_at:
          type: string
        machines:
          type: array
          items:
            $ref: '#/components/schemas/OrgMachine'
        next_cursor:
          type: string
    OrgMachine:
      type: object
      properties:
        app_name:
          type: string
        config:
          $ref: '#/components/schemas/MachineOverviewConfig'
        created_at:
          type: string
        id:
          type: string
        name:
          type: string
        private_ip:
          type: string
        region:
          type: string
        state:
          type: string
        updated_at:
          type: string
        version:
          type: string
    MachineOverviewConfig:
      type: object
      properties:
        guest:
          $ref: '#/components/schemas/fly.MachineGuest'
        image:
          type: string
        metadata:
          type: object
          additionalProperties:
            type: string
    fly.MachineGuest:
      type: object
      properties:
        cpu_kind:
          type: string
        cpus:
          type: integer
        gpu_kind:
          type: string
        gpus:
          type: integer
        host_dedication_id:
          type: string
        kernel_args:
          type: array
          items:
            type: string
        max_memory_mb:
          type: integer
        memory_mb:
          type: integer
        persist_rootfs:
          type: string
          description: 'Deprecated: use MachineConfig.Rootfs instead'
          enum:
            - never
            - always
            - restart
        required_host_features:
          type: array
          items:
            type: string

````